%define beta %nil

Summary: Qt wrapper API to different RDF storage solutions
Name: soprano
Version: 2.1.1
Release: alt0.M41.1

Group: Text tools
License: LGPLv2+
Url: http://sourceforge.net/projects/soprano

Requires: lib%name = %version-%release

Source0: http://downloads.sf.net/soprano/soprano-%version%{?beta}.tar.bz2

BuildRequires: cmake doxygen gcc-c++ graphviz libclucene-devel libqt4-devel >= 4.4
BuildRequires: libredland-devel

%description
Soprano (formally known as QRDF) is a library which provides a nice Qt
interface to RDF storage solutions. It has a modular structure which
allows to  replace the actual RDF storage implementation used.

%package -n lib%name
Summary: Soprano libraries
Group: System/Libraries
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n lib%name
Soprano (formally known as QRDF) is a library which provides a nice Qt
interface to RDF storage solutions. It has a modular structure which
allows to  replace the actual RDF storage implementation used.

%package -n lib%name-devel
Summary: Developer files for %name
Group: Development/KDE and QT
Requires: lib%name = %version-%release
Requires: libqt4-devel
%description  -n lib%name-devel
Development files for the lib%name

%prep
%setup -q -n %name-%version%{?beta}

%build
%define _optlevel s
%add_optflags -DNDEBUG
%define lib_suffix %nil
%ifarch x86_64 ppc64
%define lib_suffix 64
%endif
mkdir -p %_target_platform
pushd %_target_platform
cmake .. \
    -DCMAKE_INSTALL_PREFIX=%prefix \
    -DCMAKE_BUILD_TYPE:STRING=Release \
    -DCMAKE_C_FLAGS_RELEASE:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS_RELEASE:STRING='%optflags' \
    -DLIB_DESTINATION=%_lib \
    -DLIB_SUFFIX=%lib_suffix
popd

%make_build -C %_target_platform VERBOSE=1

%install
#export LD_LIBRARY_PATH=%buildroot/%_libdir:$LD_LIBRARY_PATH
%make -C %_target_platform DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc AUTHORS README TODO
%_bindir/sopranocmd
%_bindir/sopranod
%_bindir/onto2vocabularyclass
%_libdir/soprano/
%_datadir/soprano/
%dir %_datadir/dbus-1/interfaces
%_datadir/dbus-1/interfaces/org.soprano.*

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%_libdir/pkgconfig/soprano.pc
%_includedir/soprano/
%_includedir/Soprano/

%changelog
* Tue Oct 14 2008 Sergey V Turchin <zerg at altlinux dot org> 2.1.1-alt0.M41.1
- built for M41

* Tue Oct 14 2008 Sergey V Turchin <zerg at altlinux dot org> 2.1.1-alt1
- new version

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 2.1-alt1
- new version

* Sun May 04 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.98-alt1
- new version

* Thu Mar 06 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.3-alt1
- new version

* Wed Feb 13 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.1-alt1
- built for ALT

